# class RubyProf::CallInfoVisitor

### Public Class Methods

new(call_infos) click to toggle source

    # File lib/ruby-prof/call_info_visitor.rb, line 20
    def initialize(call_infos)
      @call_infos = CallInfo.roots_of(call_infos)
    end

### Public Instance Methods

visit(&block) click to toggle source

    # File lib/ruby-prof/call_info_visitor.rb, line 24
    def visit(&block)
      @call_infos.each do |call_info|
        visit_call_info(call_info, &block)
      end
    end